package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsDTO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsVO;
import cn.com.countrygarden.bi.main.model.wcx.WcxWeeklyStatisticsRegionProject;

import java.util.Collection;
import java.util.List;

@org.apache.ibatis.annotations.Mapper
public interface WcxWeeklyStatisticsRegionProjectMapper extends Mapper<WcxWeeklyStatisticsRegionProject> {
    List<WcxWeeklyStatisticsRegionProject> innovationNumZhouTongjiRegionProject();

    int updateWeekRegionProject(WcxWeeklyStatisticsRegionProject weeklyStRegiProj);

    List<WcxWeeklyStatisticsRegionProject> innovationNumYueTongjiRegionProject();

    List<WcxWeeklyStatisticsRegionProject> innovationNumRiTongjiRegionProject();

    List<WcxWeeklyStatisticsDTO> selectstatisquyuxiangmu(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Long selectstatisquyuxiangmuCount(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Collection<WcxWeeklyStatisticsVO> selectstatisquyuxiangmuVO(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);
}
